Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageselector
Class ArithmeticExpression

    java.lang.Object
      net.sf.dropboxmq.messageselector.Expression
          net.sf.dropboxmq.messageselector.BinaryExpression
              net.sf.dropboxmq.messageselector.ArithmeticExpression

Direct Known Subclasses:
  ArithmeticExpression.AdditionExpression, ArithmeticExpression.DivisionExpression, ArithmeticExpression.MultiplicationExpression, ArithmeticExpression.SubtractionExpression

    public abstract class ArithmeticExpression

extends BinaryExpression

Created: 12 Oct 2007

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz

Nested Class Summary
`static class` | `ArithmeticExpression.AdditionExpression`
`static class` | `ArithmeticExpression.DivisionExpression`
`static class` | `ArithmeticExpression.MultiplicationExpression`
`static class` | `ArithmeticExpression.SubtractionExpression`

Constructor Summary
`protected` | `ArithmeticExpression(Expression left, Token leftToken, Expression right, Token rightToken)`

Method Summary
`protected abstract double` | `getDoubleValue(double leftValue, double rightValue)`
`protected abstract long` | `getLongValue(long leftValue, long rightValue)`
`Object` | `getValue(Message message)`
`Class` | `getValueClass()`
`static boolean` | `isNumberClass(Class clazz)`

Methods inherited from class net.sf.dropboxmq.messageselector.BinaryExpression
`getLeft, getRight, promote, toString`

Methods inherited from class net.sf.dropboxmq.messageselector.Expression
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArithmeticExpression

    protected ArithmeticExpression(Expression left,
                                   Token leftToken,
                                   Expression right,
                                   Token rightToken)
                            throws ParseException

Throws:
  `ParseException`

Method Detail

### isNumberClass

    public static boolean isNumberClass(Class clazz)

### getValue

    public Object getValue(Message message)

  Specified by:
    `getValue` in class `Expression`

### getValueClass

    public Class getValueClass()

  Specified by:
    `getValueClass` in class `Expression`

### getLongValue

    protected abstract long getLongValue(long leftValue,
                                         long rightValue)

### getDoubleValue

    protected abstract double getDoubleValue(double leftValue,
                                             double rightValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD